#ifndef	___FUConstants_H_
#define	___FUConstants_H_

/*==============================================================================
		頻繁に使われる文字列などを定義	for ZETA	Ver 1.06
		Copyright (C) 2003-2006 by ＳＨＩＮＴＡ
==============================================================================*/

//------------------------------------------------------------------------------
#include <InterfaceDefs.h>
#include <string>
//==============================================================================
// メニュー定数（アンダーバー＋小文字）
const uint32	FUC_BUTTON_ADD_CLICKED = '_add';					// 追加
const uint32	FUC_ADD_HISTORY_REQUESTED = '_ahr';					// 履歴にファイルを追加
const uint32	FUC_BUTTON_BROWSE_CLICKED = '_brw';					// 参照
const uint32	FUC_BUTTON_CANCEL_CLICKED = '_cnc';					// キャンセル
const uint32	FUC_MITEM_DEL_ALL_HISTORY_CLICKED = '_dam';			// 履歴全削除
const uint32	FUC_BUTTON_DEFAULTS_CLICKED = '_dfl';				// デフォルト
const uint32	FUC_BUTTON_DOWN_CLICKED = '_dwn';					// ↓
const uint32	FUC_MITEM_HELP_CLICKED = '_hlp';					// ヘルプ
const uint32	FUC_IAP_CHANGED = '_ipc';							// 共通環境設定が変更された
const uint32	FUC_MITEM_AUTHOR_WEB_CLICKED = '_jaw';				// 作者のホームページへ
const uint32	FUC_MITEM_NEW_CLICKED = '_new';						// 新規作成
const uint32	FUC_BUTTON_OK_CLICKED = '_ok';						// OK
const uint32	FUC_MENU_OPEN_CLICKED = '_opn';						// 開く
const uint32	FUC_MITEM_PREFS_CLICKED = '_prf';					// 環境設定
const uint32	FUC_REMOVE_HISTORY_RQTD = '_rhr';					// 履歴１つ削除要求
const uint32	FUC_BUTTON_REMOVE_CLICKED = '_rmv';					// 削除
const uint32	FUC_MITEM_SAVE_CLICKED = '_sav';					// 保存
const uint32	FUC_MITEM_SAVE_AS_CLICKED = '_sva';					// 名前を付けて保存
const uint32	FUC_BUTTON_UP_CLICKED = '_up';						// ↑
//------------------------------------------------------------------------------
const uint32	FUC_MITEM_OPEN_CLICKED = FUC_MENU_OPEN_CLICKED;		// 開く
const uint32	FUC_BUTTON_HELP_CLICKED = FUC_MITEM_HELP_CLICKED;	// ヘルプ
//------------------------------------------------------------------------------
// アーカイビング
const char		FUC_ARC_NAME_APP_VER[] = "_Ver";					// バージョン番号
const char		FUC_ARC_NAME_CLASS_NAME[] = "class";				// BArchivable
const char		FUC_ARC_NAME_FRAME[] = "_WFr";						// ウィンドウフレーム
//------------------------------------------------------------------------------
// シグニチャ
const char		FUC_SIGNATURE_MEDIA_PLAYER[] = "application/x-vnd.yT-MediaPlayer";
const char		FUC_SIGNATURE_TRACKER[] = "application/x-vnd.Be-TRAK";
//------------------------------------------------------------------------------
// MIME Type
const char		FUC_MIME_TYPE_HTML[] = "text/html";
const char		FUC_MIME_TYPE_PLAIN_TEXT[] = "text/plain";
const char		FUC_MIME_TYPE_RESOURCE_FILE[] = "application/x-be-resource";
//------------------------------------------------------------------------------
// char[]
const char		FUC_BREAK_CR[] = "\r";
const char		FUC_BREAK_CR_LF[] = "\r\n";
const char		FUC_BREAK_LF[] = "\n";
const char		FUC_LABEL_MFIELD_MENU[] = "Select...";					// メニューフィールド用
const char		FUC_MIDI_END_POINT_NAME_ANONYMOUS[] = "<anonymous>";	// 自分のエンドポイント
const char		FUC_VIEW_NAME_BUTTON_CANCEL[] = "ButtonCancel";
const char		FUC_VIEW_NAME_BUTTON_OK[] = "ButtonOK";
//------------------------------------------------------------------------------
// uint32
const uint32	FUC_CLEAN_LAUNCH_KEY = B_SHIFT_KEY | B_COMMAND_KEY/*Ctrl*/ | B_OPTION_KEY | B_CONTROL_KEY/*Alt*/;	// クリーンラウンチするキー
//------------------------------------------------------------------------------
// float
const float		FUC_HEIGHT_BUTTON_DEFAULT = 22.0;				// ボタンの高さ（標準的な大きさ）
const float		FUC_HEIGHT_MFIELD_DEFAULT = 25.0;				// メニューフィールドの高さ（標準的な大きさ）
const float		FUC_HEIGHT_WIN_TAB = 20.0;						// ウィンドウのタブの高さ
const float		FUC_SIZE_WIN_MAX = 10000.0;						// ウィンドウの最大サイズを便宜的に
const float		FUC_WIDTH_BUTTON_DEFAULT = 80.0;				// ボタンの幅（標準的な大きさ）
const float		FUC_WIDTH_WIN_BORDER = 5.0;						// ウィンドウ枠の幅
//------------------------------------------------------------------------------
// bigtime_t
const bigtime_t	FUC_TIME_SNOOZE_MIN = 20*1000;					// snooze() 最小時間
//------------------------------------------------------------------------------
// string
const string	FUC_ELLIPSIS = "...";							// 常に他の文字列と連結するので string の方が便利だろう
//------------------------------------------------------------------------------
// rgb_color
const rgb_color	FUC_COLOR_TOOL_TIP_WIN_BG = { 255,255,225,255 };
//==============================================================================
#endif	// ___FUConstants_H_
