#ifndef	___FileBase_H_
#define	___FileBase_H_
//------------------------------------------------------------------------------
// BeOS
#include <File.h>
// C++
#include <string>
//==============================================================================
class	TBasicFile : public BFile
{
public:
	TBasicFile();
	TBasicFile(const entry_ref* oERef, uint32 oOpenMode);
	TBasicFile(const BEntry* oEntry, uint32 oOpenMode);
	TBasicFile(const char* oPath, uint32 oOpenMode);
	TBasicFile(const BDirectory* oDir, const char* oPath, uint32 oOpenMode);
	TBasicFile(const BFile& oFile);
	virtual ~TBasicFile();

	virtual bool	Eof() const;								// EOF
	virtual ssize_t	ReadLine(char* oBuf, ssize_t oBufSize);		// 1 行読込み | 行の長さ
			// oBufSize = Len+1 : 100 文字読むなら 101
	virtual ssize_t	ReadLine(string* oBuf);						// 1 行読込み | 行の長さ
	virtual ssize_t	WriteLine(const char* oBuf);				// 1 行書込み
	virtual ssize_t	WriteLine(const string& oBuf);				// 1 行書込み

private:
	typedef	BFile	SUPER;
};

//==============================================================================
#endif	// ___FileBase_H_
