/*==============================================================================
		ショートカットフィルタ	for Zeta	Ver 1.01
		Copyright (C) 1999-2004 by ＳＨＩＮＴＡ
==============================================================================*/

/*==============================================================================
 Ver. |					主な改良点
--------------------------------------------------------------------------------
 ---- | 2003/11/16 (Sun) 開発着手。
 1.00 | 2003/11/16 (Sun) add 時代のクラスを元に構築。
==============================================================================*/

/*=== Memo =====================================================================
==============================================================================*/

//------------------------------------------------------------------------------
#include "ShortCutFilter.h"
//------------------------------------------------------------------------------
// BeOS
#include <InterfaceDefs.h>
#include <Looper.h>
// C++
// Add2
#include "BeConstants.h"
//------------------------------------------------------------------------------
//==============================================================================
TShortCutFilter::TShortCutFilter(BHandler* oTgt)
		: SUPER(B_KEY_DOWN)
{
	mTgt = oTgt;
}
//------------------------------------------------------------------------------
filter_result	TShortCutFilter::Filter(BMessage* oMsg, BHandler** oTgt)
{
	int32	aChar;
	int32	aModifiers;

	oMsg->FindInt32(B_MSG_NAME_MODIFIERS, &aModifiers);
	oMsg->FindInt32(B_MSG_NAME_RAW_CHAR, &aChar);
	if ( aModifiers&B_CONTROL_KEY/*Alt*/ || aChar == B_ESCAPE || aChar == B_RETURN || aChar == B_FUNCTION_KEY ) {
		if ( mTgt == NULL ) {
			*oTgt = Looper();
		} else {
			*oTgt = mTgt;
		}
	}
	return B_DISPATCH_MESSAGE;
}
//------------------------------------------------------------------------------
//==============================================================================
